
/*---------------
ハンバーガーメニューjs
-----------------*/
$(function () {
  $('.hamburger').click(function () {
    $(this).toggleClass('active');

    if ($(this).hasClass('active')) {
      $('.globalMenuSp').addClass('active');
    } else {
      $('.globalMenuSp').removeClass('active');
    }
  });
});

/*---------------
ページトップに戻るjQuery
-----------------*/

$(function () {
  var pagetop = $('#page_top');
  // ボタン非表示
  pagetop.hide();
  // 100px スクロールしたらボタン表示
  $(window).scroll(function () {
    if ($(this).scrollTop() > 100) {
      pagetop.fadeIn();
    } else {
      pagetop.fadeOut();
    }
  });
  pagetop.click(function () {
    $('body, html').animate({ scrollTop: 0 }, 600);
    return false;
  });
});

/*---------------
スマホ画面下メニューjQuery
（max-width: 600px;）
-----------------*/
$(function () {
  var pagetop = $('.sp-under-menu');
  // ボタン非表示
  pagetop.hide();
  // 100px スクロールしたらボタン表示
  $(window).scroll(function () {
    if ($(window).width() <= 600) {
      if ($(this).scrollTop() > 100) {
        pagetop.fadeIn();
      } else {
        pagetop.fadeOut();
      }
    }
  });
});


/*---------------
ナビメニュー上部固定js
-----------------*/

// ナビメニューの要素を取得
const navMenu = document.querySelector('nav');
// ナビメニューの元の位置を取得
const navMenuOffsetTop = navMenu.offsetTop;
// スクロールイベントのリスナーを追加
window.addEventListener('scroll', function () {
  // 現在のスクロール位置を取得
  const scrollPosition = window.pageYOffset || document.documentElement.scrollTop;

  // ナビメニューが画面の上部までスクロールされたかどうかをチェック
  if (scrollPosition >= navMenuOffsetTop) {
    // ナビメニューを固定するために適用するスタイルを設定
    navMenu.classList.add('sticky-menu');
  } else {
    // 固定スタイルを解除
    navMenu.classList.remove('sticky-menu');
  }
});

/*---------------
スクロール＆フェードアップjs
----------------*/
window.addEventListener('scroll', function () {
  var fadeUps = document.querySelectorAll('.fade-up');
  var slideInLefts = document.querySelectorAll('.slide-in-left');
  var slideInRights = document.querySelectorAll('.slide-in-right');

  for (var i = 0; i < fadeUps.length; i++) {
    var fadeUp = fadeUps[i];
    if (isElementPartiallyInViewport(fadeUp) && !fadeUp.classList.contains('fade-up-show')) {
      fadeUp.classList.add('fade-up-show');
    }
  }

  for (var j = 0; j < slideInLefts.length; j++) {
    var slideInLeft = slideInLefts[j];
    if (isElementPartiallyInViewport(slideInLeft) && !slideInLeft.classList.contains('slide-in-show')) {
      slideInLeft.classList.add('slide-in-show');
    }
  }

  for (var k = 0; k < slideInRights.length; k++) {
    var slideInRight = slideInRights[k];
    if (isElementPartiallyInViewport(slideInRight) && !slideInRight.classList.contains('slide-in-show')) {
      slideInRight.classList.add('slide-in-show');
    }
  }
});

function isElementPartiallyInViewport(element) {
  var rect = element.getBoundingClientRect();
  var windowHeight = window.innerHeight || document.documentElement.clientHeight;
  var windowWidth = window.innerWidth || document.documentElement.clientWidth;
  var verticalOffset = windowHeight * 0.3;
  var horizontalOffset = windowWidth * 0.3;

  return (
    rect.top < windowHeight - verticalOffset &&
    rect.bottom > verticalOffset &&
    rect.left < windowWidth - horizontalOffset &&
    rect.right > horizontalOffset
  );
}

/*---------------
アコーディオンjs
----------------*/
$(function () {
  $(".js-accordion-title").on("click", function () {
    $(this).next().slideToggle(200);
    $(this).toggleClass("open", 200);
  });
});

/*---------------
ローディングアニメーションjs
----------------*/
//logoの表示
$(window).on('load', function () {
  $("#splash").delay(4000).fadeOut('slow');//ローディング画面を2.5秒（2500ms）待機してからフェードアウト
  $("#splash_logo").delay(3000).fadeOut('slow');//ロゴを2秒（2000ms）待機してからフェードアウト
  $("#splash_bg").delay(3000).fadeOut('slow');
});
